Bug 243116 - boo libdir issues
Summary: boo libdir issues
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: boo (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-07 12:25 UTC by Eskil Bylund
Modified: 2008-01-06 22:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 22:29:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the issues. (2.43 KB, patch)
2007-06-07 12:25 UTC, Eskil Bylund
no flags Details | Diff

Description Eskil Bylund 2007-06-07 12:25:50 UTC
Description of problem:
The shell scripts in /usr/bin and the pkg-config file contains ${libdir} instead
of the real libdir. (On devel, F-7 and FC-6)

Packages using the boo pkg-config file (eg. MonoDevelop) need be rebuilt once
this is fixed.

Version-Release number of selected component (if applicable):
boo-0.7.6.2237-12.fc7.x86_64

Comment 1 Eskil Bylund 2007-06-07 12:25:50 UTC
Created attachment 156458 [details]
Patch to fix the issues.

Comment 2 Doncho Gunchev 2007-07-03 12:16:54 UTC
I can confirm that all shell scripts (booc, booi, booish) and boo.pc are 
wrong. The patch did not apply to boo-0.7.6.2237-12.fc7 (some chunks failed), 
but the idea in mine was the same.

Comment 3 Paul F. Johnson 2007-11-14 17:04:50 UTC
As soon as NAnt builds under rawhide, I can push the new version of boo which
fixes these issues.


Note You need to log in before you can comment on or make changes to this bug.